### Method

# Gio FileEnumerator close_finish

#### Declaration [src]

    gboolean
    g_file_enumerator_close_finish (
      GFileEnumerator* enumerator,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes closing a file enumerator, started from g_file_enumerator_close_async().

If the file enumerator was already closed when `g_file_enumerator_close_async()` was called, then this function will report `G_IO_ERROR_CLOSED` in `error`, and return `FALSE`. If the file enumerator had pending operation when the close operation was started, then this function will report `G_IO_ERROR_PENDING`, and return `FALSE`. If `cancellable` was not `NULL`, then the operation may have been cancelled by triggering the cancellable object from another thread. If the operation was cancelled, the error `G_IO_ERROR_CANCELLED` will be set, and `FALSE` will be returned.

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the close operation has finished successfully.